Bug 437686 - Build awstats on EPEL4
Build awstats on EPEL4
Product: Fedora EPEL
Classification: Fedora
Component: awstats (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Stephen John Smoogen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-16 08:42 EDT by Tim Jackson
Modified: 2012-03-01 15:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-01 15:02:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2008-03-16 08:42:46 EDT
I branched awstats for EPEL4 a while ago
However I have not built it yet due to getting stuck with SELinux issues
This bug is a tracker about building it on EPEL4 and the outstanding issues to
get it built.
Comment 1 Tim Jackson 2008-03-16 08:51:46 EDT
Here's what I asked Aurelien when I first branched it. Anyone else who can help
please do :-) Otherwise, I could consider releasing it (for now) without any
SELinux support - better than nothing:

"EL-4 is a bit more difficult from the SELinux point of view, because
it's so old. Recent versions of awstats work OK with SELinux turned off,
but it would be better for the package to support SELinux. However even
the FC-5 package (before you split off -selinux) doesn't work, because
EL4 doesn't seem to have "semanage". Do you think it's enough to just do
the "chcon" in %post?"
Comment 2 Tim Jackson 2008-05-18 07:39:37 EDT
To give an update, since nobody has stepped forward to help with SELinux policy,
I tried to put together a package which just did the very basic stuff (chcon at
install time, a README that warns if you relabel your filesystem it will break).
The result are at:


Any testing would be welcome, not least because my EL-4 test VM is dead right now.

However, rpmlint on F-8 complains about the above package wrt SELinux:

awstats.noarch: E: forbidden-selinux-command-in-%post chcon

I understand why it's not a good idea for recent distros but I wonder how
"forbidden" it really is for an old distro where we didn't have policytool etc.

All comments/test results etc. welcome.
Comment 3 Tim Jackson 2008-08-28 10:13:38 EDT
I have now briefly tested this myself on a clean CentOS 4 machine with SELinux enabled and it seems to work without causing any SELinux violations.

Are the cc'd people still interested in seeing this in EPEL? Really, feedback of any sort would be great :-)
Comment 4 Max Spevack 2008-08-28 10:28:46 EDT
Definitely still interested, and grateful for all your work, Tim.  I apologize for not having done any testing of it yet myself.
Comment 5 Tim Jackson 2008-08-28 10:34:13 EDT
Thanks, Max. I should add that the above packages are not patched against a recent awstats security issue (XSS). (All the more reason to have easily-updateable packages, really :-) So test with caution. At the point this package goes into EPEL I will patch it up like the EL-5 package which is already live.
Comment 6 Stephen John Smoogen 2008-08-28 12:16:44 EDT
Thanks for the work Tim. Sorry for not testing before hand.. had been busy with other stuff. If you want a tester for the awstats update please let me know and I will pull down and put onto server.
Comment 7 Tim Jackson 2008-08-29 18:59:54 EDT
Stephen, I'm not sure what update you mean but in any case to everyone: here is an updated awstats package which is patched against the recent security issue:

Comment 8 Tim Jackson 2009-05-30 07:03:28 EDT
Due to the fact that since I originally created this branch, I've now retired the EL-4 machines on which I would have used this, it doesn't seem sensible for me to push this into EPEL 4 especially at this relatively late stage in the EL-4 cycle. If anyone would like to take the branch and nurture it, they would be very welcome - otherwise I will close it.
Comment 9 Stephen John Smoogen 2009-05-30 14:37:12 EDT
I am willing to test/run for EL4 (I still have El4 servers.)
Comment 10 Tim Jackson 2009-05-30 14:55:55 EDT
OK, well I've checked the work I've done to date into CVS. I've released ownership in the Package DB if you would like to add yourself.

N.B. that I have updates to 6.9 ready to roll for EL-5 (as per https://www.redhat.com/archives/epel-devel-list/2009-May/msg00032.html) and I would think these can be readily applied to EL-4.
Comment 11 Kevin Fenzi 2012-03-01 15:02:34 EST
EPEL-4 has reached end of life and is no longer supported. 

Please retest your bug against EPEL-5 or EPEL-6 and re-open if the bug persists in the packages available in those releases, or file a new bug. 

See: http://lists.fedoraproject.org/pipermail/epel-announce/2012-February/000015.html

Note You need to log in before you can comment on or make changes to this bug.